// Core component styles
const coreStyles = {
    container: {
    },

    icon: {
    },

    iconContainer: {
    },

    primary: {
    },

    primaryIcon: {
        color: '#fff',
    },

    primaryText: {
        color: '#fff',
    },

    secondary: {
    },

    secondaryIcon: {
        color: '#006e96',
    },

    secondaryText: {
        color: '#006e96',
    },

    text: {
        cursor: 'pointer',
        whiteSpace: 'nowrap',
    },

    textContainer: {
    },
};

/**
* Helper method to get the styles for Button component
* @param {Object} contextStyles - Context styles for the Button Component
*/
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        icon: {
            ...coreStyles.icon,
            ...contextStyles.icon,
        },

        iconContainer: {
            ...coreStyles.iconContainer,
            ...contextStyles.iconContainer,
        },

        primary: {
            ...coreStyles.primary,
            ...contextStyles.primary,
        },

        primaryIcon: {
            ...coreStyles.primaryIcon,
            ...contextStyles.primaryIcon,
        },

        primaryText: {
            ...coreStyles.primaryText,
            ...contextStyles.primaryText,
        },

        secondary: {
            ...coreStyles.secondary,
            ...contextStyles.secondary,
        },

        secondaryIcon: {
            ...coreStyles.secondaryIcon,
            ...contextStyles.secondaryIcon,
        },

        secondaryText: {
            ...coreStyles.secondaryText,
            ...contextStyles.secondaryText,
        },

        text: {
            ...coreStyles.text,
            ...contextStyles.text,
        },
        textContainer: {
            ...coreStyles.textContainer,
            ...contextStyles.textContainer,
        },
    };
};

export default getStyles;
